// {{ansible_managed}}
import hudson.ProxyConfiguration
import jenkins.model.Jenkins
{% if proxy_host is defined %}
    {% if proxy_username is defined %}
proxy = new ProxyConfiguration(
    "{{proxy_host}}",
    {{proxy_port}},
    "{{proxy_username}}",
    "{{proxy_password}}",
    "{{jenkins_no_proxy | replace ("\n", "\\n")}}")
    {% else %}
proxy = new ProxyConfiguration(
    "{{proxy_host}}",
    {{proxy_port}},
    null,
    null,
    "{{jenkins_no_proxy | replace ("\n", "\\n")}}")
    {% endif %}
{% else %}
proxy = null
{% endif %}
Jenkins.instance.proxy = proxy
